Subject: Re: bug#4377: marked as done (allow one to still choose xpdf instead of doc-view)

From: Stefan Monnier <[email-masked]>
Date: Sun, 13 Sep 2009 21:31:15 -0400

>>> My god, that's tons and tons of lisp to add to one's .emacs file,
>>> just to say "I wish to have emacs still call xpdf when encountering a
>>> .pdf file, like back before they introduced doc-view".
>> One line solution:
>> (setq auto-mode-alist (rassq-delete-all 'doc-view-mode auto-mode-alist))

Is it really a solution?  The OP's problem seems to be that he wants
xpdf to be run, but the above will only replace doc-view-mode with
fundamental-mode, right?

> I wonder if it is better not to include doc-view-mode in
> auto-mode-alist.  Personally, I can't think of an occasion that
> I would like doc-view mode to view my pdf files except, perhaps, to
> brag about Emacs's capability.

Is it really better to show the actual underlying PDF file's code in
fundamental-mode?  If you don't want to view PDF files in Emacs, than
don't open them in Emacs.

        Stefan